import { TypeOf } from "zod";
export declare const sqliteCredentials: import("zod").ZodUnion<[import("zod").ZodObject<{
    driver: import("zod").ZodLiteral<"turso">;
    url: import("zod").ZodString;
    authToken: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    url: string;
    driver: "turso";
    authToken: string;
}, {
    url: string;
    driver: "turso";
    authToken: string;
}>, import("zod").ZodObject<{
    url: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    url: string;
}, {
    url: string;
}>]>;
export type SqliteCredentials = TypeOf<typeof sqliteCredentials>;
export declare const printConfigConnectionIssues: (options: Record<string, unknown>) => void;
